Loading...
Searching...
No Matches
avutil.h File Reference
libavutil

Convenience header that includes libavutil's core. More...

`#include "common.h"`
`#include "rational.h"`
`#include "version.h"`
`#include "macros.h"`
`#include "mathematics.h"`
`#include "log.h"`
`#include "pixfmt.h"`

Go to the source code of this file.

## Macros

#define | FF_LAMBDA_SHIFT 7
#define | FF_LAMBDA_SCALE (1<<FF_LAMBDA_SHIFT)
#define | FF_QP2LAMBDA 118
| factor to convert from H.263 QP to lambda
#define | FF_LAMBDA_MAX (256*128-1)
#define | FF_QUALITY_SCALE FF_LAMBDA_SCALE
#define | AV_NOPTS_VALUE ((int64_t)UINT64_C(0x8000000000000000))
| Undefined timestamp value.
#define | AV_TIME_BASE 1000000
| Internal time base represented as integer.
#define | AV_TIME_BASE_Q (AVRational){1, AV_TIME_BASE}
| Internal time base represented as fractional value.
#define | AV_FOURCC_MAX_STRING_SIZE 32
#define | av_fourcc2str(fourcc)

## Enumerations

enum | AVMediaType { AVMEDIA_TYPE_UNKNOWN = -1 , AVMEDIA_TYPE_VIDEO , AVMEDIA_TYPE_AUDIO , AVMEDIA_TYPE_DATA , AVMEDIA_TYPE_SUBTITLE , AVMEDIA_TYPE_ATTACHMENT , AVMEDIA_TYPE_NB }
enum | AVPictureType { AV_PICTURE_TYPE_NONE = 0 , AV_PICTURE_TYPE_I , AV_PICTURE_TYPE_P , AV_PICTURE_TYPE_B , AV_PICTURE_TYPE_S , AV_PICTURE_TYPE_SI , AV_PICTURE_TYPE_SP , AV_PICTURE_TYPE_BI }

## Functions

unsigned | avutil_version (void)
| Return the LIBAVUTIL_VERSION_INT constant.
const char * | av_version_info (void)
| Return an informative version string.
const char * | avutil_configuration (void)
| Return the libavutil build-time configuration.
const char * | avutil_license (void)
| Return the libavutil license.
const char * | av_get_media_type_string (enum AVMediaType media_type)
| Return a string describing the media_type enum, NULL if media_type is unknown.
char | av_get_picture_type_char (enum AVPictureType pict_type)
| Return a single letter to describe the given picture type pict_type.
static void * | av_x_if_null (const void *p, const void *x)
| Return x default pointer in case p is NULL.
AVRational | av_get_time_base_q (void)
| Return the fractional representation of the internal time base.
char * | av_fourcc_make_string (char *buf, uint32_t fourcc)
| Fill the provided buffer with a string containing a FourCC (four-character code) representation.

## Detailed Description

Convenience header that includes libavutil's core.

Definition in file avutil.h.